test: ensure FORCED_LANGUAGE works (#1083)

Closes #1077
This commit is contained in:
Xe Iaso 2025-09-05 18:07:17 -04:00 committed by GitHub
parent fd011d19e2
commit de94139789
No known key found for this signature in database
GPG key ID: B5690EEEBB952194
5 changed files with 61 additions and 0 deletions

23
test/forced-language/test.sh Executable file
View file

@ -0,0 +1,23 @@
#!/usr/bin/env bash
set -euo pipefail
function cleanup() {
pkill -P $$
}
trap cleanup EXIT SIGINT
# Build static assets
(cd ../.. && npm ci && npm run assets)
go tool anubis --help 2>/dev/null ||:
go run ../cmd/unixhttpd &
FORCED_LANGUAGE=de go tool anubis \
--policy-fname ./anubis.yaml \
--use-remote-address \
--target=unix://$(pwd)/unixhttpd.sock &
backoff-retry node ./test.mjs